package simple.dcsp.sbt;

import kernel.StopException;
import kernel.com.Message;
import kernel.com.MessageHandler;
import simple.SimpleAgent;
import util.Commands;
import util.Instantiation;

public class CPAMsgeHandler extends MessageHandler {

	public CPAMsgeHandler(SimpleAgent agent) {
		super(agent, Commands.CPA);
	}

	public void processMessage(Message msg) throws StopException {
		// String str = (String) msg.get("CPA");
		// Instantiation cpa = Instantiation.fromString(str );
		Instantiation cpa = (Instantiation) msg.get("CPA");;
		((SBTAgent) this.myAgent).processCPA(cpa);
	}

	public void sendCPAMessage(Instantiation cpa, int receiverId) {
		Message msg = createMessage();
		msg.addContents("CPA", cpa);
		msg.setReceiverId(receiverId);
		this.myAgent.sendMessage(msg);
	}

}
