package simple.dcsp.sbt;

import kernel.AbstractAgent;
import kernel.StopException;
import kernel.com.Message;
import kernel.com.MessageHandler;
import util.Commands;

public class BackCPAMsgHandler extends MessageHandler {

	public BackCPAMsgHandler(AbstractAgent agent) {
		super(agent, Commands.BACKTRACK);
	}

	@Override
	public void processMessage(Message msg) throws StopException {

		((SBTAgent) this.myAgent).proceeeBack();
	}

	/**
	 * @param instantiation
	 * @param ng
	 */
	public void sendBack(int agId) {
		Message msg = this.createMessage();
		msg.setReceiverId(agId);
		this.myAgent.sendMessage(msg);
	}

}
